{% extends "ajax/ajax.html.twig" %}
{% block ajax %}
    <div class="row">
        <div class="cell padded header rw-8 ro-2 rw-lg-12 ro-lg-0">
            {% if current_user is not null or target_user is null %}
                <h4>{{ 'Verknüpfung mit EternalTwin'|trans({},'login') }}</h4>
            {% endif %}

            {% if current_user is null and target_user is null %}
                <h5>{{ 'Gleich kanns losgehen!'|trans({},'login') }}</h5>
            {% endif %}

            {% if current_user is null and target_user is not null %}
                <h4>{{ 'Hallo %username%!'|trans({'%username%': target_user.name},'login') }}</h4>
                <br /><br />
                <i>{{ 'Du wirst eingeloggt. Bitte warte eine Sekunde ...'|trans({},'login') }}</i>
            {% endif %}

            {% if current_user is not null or target_user is null %}
                <div class="row-flex v-center">
                    <div class="padded cell rw-4">
                        <img alt="" src="{{ asset('build/images/eternal-twin/icon_large.png') }}" class="fit" />
                    </div>
                    <div class="padded cell rw-8 grow-2 justify">
                        {% if current_user is null and target_user is null %}
                            <p>
                                <strong>{{ 'Hallo %username%!'|trans({'%username%': etwin_user.getDisplayName},'login') }}</strong>
                                {{ 'Dank deines EternalTwin-Account kannst du ohne vorherige Registrierung MyHordes spielen!'|trans({},'login') }}
                            </p>
                            <p>
                                <img alt="" src="{{ asset('build/images/icons/small_warning.gif') }}">
                                {% trans from 'login' %}
                                    <strong>Achtung:</strong> Du hast bereits einen MyHordes-Account? Dann solltest du jetzt
                                    <i>abbrechen</i> und dich zuerst mit deinem alten MyHordes-Account einloggen. Du kannst deinen
                                    EternalTwin-Account in den Einstellungen mit deinem MyHordes-Account verknüpfen.
                                {% endtrans %}
                            </p>
                        {% else %}
                            <p>
                                <strong>{{ 'Vielen Dank, dass du deinen MyHordes-Account %namecheck_mh% mit deinem EternalTwin-Account %namecheck_et% verknüpfst!'|trans({
                                        '%namecheck_mh%': current_user.username == etwin_user.getDisplayName ? '' : ( '(' ~ current_user.username ~ ')' ),
                                        '%namecheck_et%': current_user.username == etwin_user.getDisplayName ? '' : ( '(' ~ etwin_user.getDisplayName ~ ')' )
                                    },'login') }}
                                </strong>
                            </p>
                            <p>
                                {{ 'Nach der Verknüpfung kannst du dich nur noch über EternalTwin in MyHordes anmelden. Deine alten Zugangsdaten werden ungültig.'|trans({},'login') }}
                                {{ 'Deine Seele bleibt bei der Verknüpfung mit EternalTwin selbstverständlich vollständig erhalten.'|trans({},'login') }}
                                {{ 'Wenn du fortfahren möchtest, gib bitte ein letztes Mal dein MyHordes-Passwort ein und klicke auf "Verknüpfen".'|trans({},'login') }}
                            </p>
                            <form>
                                <div class="row">
                                    <div class="cell padded-small rw-4 rw-md-12"><b><label for="login-password">{% trans from 'login' %}Passwort{% endtrans %}</label></b></div>
                                    <div class="cell padded-small rw-8 rw-md-12"><input name="login_pass" id="login-password" type="password" /></div>
                                </div>
                            </form>
                        {% endif %}
                    </div>
                </div>

                <div class="row-flex v-center space">
                    <div class="cell rw-4">
                        <button id="et_confirm">
                            {% if current_user is null and target_user is null %}{{ 'Los geht\'s!'|trans({},'login') }}{% endif %}
                            {% if current_user is not null %}{{ 'Verknüpfen'|trans({},'login') }}{% endif %}
                        </button>
                    </div>
                    <div class="cell">
                        <a href="" id="et_cancel">
                            {{ 'Abbrechen'|trans({},'login') }}
                        </a>
                    </div>
                </div>
            {% endif %}
        </div>
    </div>
{% endblock %}

{% block js %}
    <script>
        history.replaceState('{{ path('public_login') }}', '', '{{ path('public_login') }}');

        {% if current_user is null and target_user is not null %}
            $.ajax.easySend( '{{ path('api_login') }}', [], function() {
                $.ajax.load(null, '{{ path('initial_landing') }}', true)
            });
        {% else %}
            document.getElementById('et_confirm').addEventListener('click', function () {
                $.ajax.easySend( '{{ path('api_etwin_confirm') }}', {
                    pass: document.getElementById('login-password') ? document.getElementById('login-password').value : null
                }, function() {
                    $.ajax.load(null, '{{ path('initial_landing') }}', true)
                });
            });
            document.getElementById('et_cancel').addEventListener('click', function (e) {
                e.preventDefault();
                $.ajax.easySend( '{{ path('api_etwin_cancel') }}', [], function() {
                    {% if current_user is null %}
                        $.ajax.load(null, '{{ path('public_login') }}', true)
                    {% else %}
                        $.ajax.load(null, '{{ path('initial_landing') }}', true)
                    {% endif %}
                });
            });
        {% endif %}
    </script>
{% endblock %}